Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface OrgConfiguration

    public interface OrgConfiguration

This interface implementation instance represent an organization configuration, every organization own itself configuration object. Root administrator can update the values in file by hand. Each time when he create a new Organization, Server will read the file to get the default values for the Organization. If disk size or memory size is not enough, for instance we want to allocate 100G disk (default value) for the new Organization but the disk space is not enough, we will be warned "Disk or Memory size is not enough." and cannot create. In this case we have to update the file to make the default value smaller. Server will estimate available disk/memory firstly when we create Organization. At run time, the total used memory size of cache/report data/cube should not be greater than the Maximum Memory Size.

Field Summary
`static java.lang.String` | `KEY_CACHE_CATALOGS_ENABLED`
`static java.lang.String` | `KEY_CACHE_CATALOGS_MAXSIZE`
`static java.lang.String` | `KEY_CACHE_CATALOGS_MAXSPACE`
`static java.lang.String` | `KEY_CACHE_IMAGES_ENABLED`
`static java.lang.String` | `KEY_CACHE_IMAGES_MAXSPACE`
`static java.lang.String` | `KEY_CACHE_REPORTS_ENABLED`
`static java.lang.String` | `KEY_CACHE_REPORTS_MAXSIZE`
`static java.lang.String` | `KEY_CACHE_REPORTS_MAXSPACE`
`static java.lang.String` | `KEY_COMPRESS_SWAP_FILES`
`static java.lang.String` | `KEY_CONCURRENT_REPORTS_MAXNUM`
`static java.lang.String` | `KEY_CONCURRENT_USERS_MAXNUM`
`static java.lang.String` | `KEY_CUBE_MAXSPACE`
`static java.lang.String` | `KEY_DISK_MAXSPACE`
`static java.lang.String` | `KEY_MEMERY_MAXSPACE`
`static java.lang.String` | `KEY_REPORT_DATA_MAXSPACE`

Method Summary
`java.util.List<java.lang.String>` | `getCachedCatalogs()` Current cached catalogs
`java.util.List<java.lang.String>` | `getCachedReports()` Current cached reports
`int` | `getCurConcurrentReports()` Get current concurrent reports number.
`int` | `getCurConcurrentUsers()` Get current concurrent users number.
`int` | `getCurDiskSpace()` Get current used disk size (in GB)
`int` | `getCurMemorySpace()` Get current used memory size (in GB)
`int` | `getMaxCacheCatalogsSize()` Max size of Organization catalogs can be cached in MB.
`int` | `getMaxCachedCatalogSize()` Maximum cached catalog number.
`int` | `getMaxCachedReportSize()` Maximum cached report number.
`int` | `getMaxCacheImagesSpace()` Max size of images can be cached in MB.
`int` | `getMaxCacheReportsSpace()` Max size of Organization reports can be cached in MB.
`int` | `getMaxConcurrentReports()` Get Max Concurrent reports of the Organization, say, Organization users run these reports.
`int` | `getMaxConcurrentUsers()` Get Max Concurrent users of the Organization.
`int` | `getMaxCubeSpace()` Maximum Cube Memory (Organization catalogs) Allowed in MB.
`int` | `getMaxDiskSpace()` Max disk size reserved for the Organization, including disk space for resources and results files (server history folder), log file (server log folder, in cluster, log size is sum of log file size in all nodes), cached data and cube files (server cache folder), even some temp run time files that are created when Organization users run report/dashboard/VA (server temp folder), in GB.
`int` | `getMaxMemorySpace()` Max memory size reserved for the Organization in GB.
`int` | `getMaxReportDataSpace()` Maximum Report Data Memory (Organization catalogs) Allowed in MB.
`java.util.List<java.lang.String>` | `getPreloadCatalogsName()` Get catalogs which to be preload on system boot.
`java.util.List<java.lang.String>` | `getPreloadReportsName()` Get reports which to be preload on system boot.
`boolean` | `isCompressSwapFiles()` Significantly reduce I/O time by increasing CPU usage.
`boolean` | `isEnabledCacheCatalogs()` Whether enable to cache catalogs.
`boolean` | `isEnabledCacheImages()` Whether enable to cache images.
`boolean` | `isEnabledCacheReports()` Whether enable to cache reports.
`void` | `setCachedCatalog(java.lang.String user, java.lang.String cat, boolean isCache)` load/unload one catalog into/from cache cache.
`void` | `setCachedReport(java.lang.String user, java.lang.String rpt, boolean isCache)` load/unload one report into/from cache cache.
`void` | `setPreloadCatalogsName(java.util.List<java.lang.String> cats)` Set catalogs which to be preload on system boot.
`void` | `setPreloadReportsName(java.util.List<java.lang.String> rpts)` Set reports which to be preload on system boot.
`void` | `setProperty(java.lang.String propName, java.lang.String propValue)` Set property value

Field Detail

### KEY_CONCURRENT_USERS_MAXNUM

    static final java.lang.String KEY_CONCURRENT_USERS_MAXNUM

See Also:
  Constant Field Values

### KEY_CONCURRENT_REPORTS_MAXNUM

    static final java.lang.String KEY_CONCURRENT_REPORTS_MAXNUM

See Also:
  Constant Field Values

### KEY_DISK_MAXSPACE

    static final java.lang.String KEY_DISK_MAXSPACE

See Also:
  Constant Field Values

### KEY_MEMERY_MAXSPACE

    static final java.lang.String KEY_MEMERY_MAXSPACE

See Also:
  Constant Field Values

### KEY_CACHE_CATALOGS_ENABLED

    static final java.lang.String KEY_CACHE_CATALOGS_ENABLED

See Also:
  Constant Field Values

### KEY_CACHE_CATALOGS_MAXSPACE

    static final java.lang.String KEY_CACHE_CATALOGS_MAXSPACE

See Also:
  Constant Field Values

### KEY_CACHE_REPORTS_ENABLED

    static final java.lang.String KEY_CACHE_REPORTS_ENABLED

See Also:
  Constant Field Values

### KEY_CACHE_REPORTS_MAXSPACE

    static final java.lang.String KEY_CACHE_REPORTS_MAXSPACE

See Also:
  Constant Field Values

### KEY_CACHE_IMAGES_ENABLED

    static final java.lang.String KEY_CACHE_IMAGES_ENABLED

See Also:
  Constant Field Values

### KEY_CACHE_IMAGES_MAXSPACE

    static final java.lang.String KEY_CACHE_IMAGES_MAXSPACE

See Also:
  Constant Field Values

### KEY_REPORT_DATA_MAXSPACE

    static final java.lang.String KEY_REPORT_DATA_MAXSPACE

See Also:
  Constant Field Values

### KEY_CUBE_MAXSPACE

    static final java.lang.String KEY_CUBE_MAXSPACE

See Also:
  Constant Field Values

### KEY_COMPRESS_SWAP_FILES

    static final java.lang.String KEY_COMPRESS_SWAP_FILES

See Also:
  Constant Field Values

### KEY_CACHE_CATALOGS_MAXSIZE

    static final java.lang.String KEY_CACHE_CATALOGS_MAXSIZE

See Also:
  Constant Field Values

### KEY_CACHE_REPORTS_MAXSIZE

    static final java.lang.String KEY_CACHE_REPORTS_MAXSIZE

See Also:
  Constant Field Values

Method Detail

### setProperty

    void setProperty(java.lang.String propName,
                     java.lang.String propValue)

  Set property value

  Parameters:
    `propName` - property name, come from OrgConfiguration.XXXXX
    `propValue` -

### getMaxConcurrentUsers

    int getMaxConcurrentUsers()

  Get Max Concurrent users of the Organization. In run time, if the Organization concurrent user does not reach max value, but server concurrent user reaches the value given by license, additional Organization user cannot logon. Default value is 1000.

  Returns:

### getCurConcurrentUsers

    int getCurConcurrentUsers()

  Get current concurrent users number.

  Returns:

### getMaxConcurrentReports

    int getMaxConcurrentReports()

  Get Max Concurrent reports of the Organization, say, Organization users run these reports. In run time, if the Organization concurrent report does not reach max value, but server concurrent report reaches the value given by license, additional Organization report cannot run at the same time as other running ones. Default value is 1000.

  Returns:

### getCurConcurrentReports

    int getCurConcurrentReports()

  Get current concurrent reports number.

  Returns:

### getMaxDiskSpace

    int getMaxDiskSpace()

  Max disk size reserved for the Organization, including disk space for resources and results files (server history folder), log file (server log folder, in cluster, log size is sum of log file size in all nodes), cached data and cube files (server cache folder), even some temp run time files that are created when Organization users run report/dashboard/VA (server temp folder), in GB. The smallest value is 1. Default value is 100GB.

  Returns:

### getCurDiskSpace

    int getCurDiskSpace()

  Get current used disk size (in GB)

  Returns:

### getMaxMemorySpace

    int getMaxMemorySpace()

  Max memory size reserved for the Organization in GB. The smallest value is 1. Default value is 4GB.

  Returns:

### getCurMemorySpace

    int getCurMemorySpace()

  Get current used memory size (in GB)

  Returns:

### isEnabledCacheCatalogs

    boolean isEnabledCacheCatalogs()

  Whether enable to cache catalogs. Default value is true.

  Returns:

### getMaxCacheCatalogsSize

    int getMaxCacheCatalogsSize()

  Max size of Organization catalogs can be cached in MB. The minimum value is 0, and the maximum value is 80% Maximum Memory Size. Default value is 50MB.

  Returns:

### isEnabledCacheReports

    boolean isEnabledCacheReports()

  Whether enable to cache reports. Default value is true.

  Returns:

### getMaxCacheReportsSpace

    int getMaxCacheReportsSpace()

  Max size of Organization reports can be cached in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 50MB.

  Returns:

### isEnabledCacheImages

    boolean isEnabledCacheImages()

  Whether enable to cache images. Default value is true.

  Returns:

### getMaxCacheImagesSpace

    int getMaxCacheImagesSpace()

  Max size of images can be cached in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 50MB.

  Returns:

### getMaxReportDataSpace

    int getMaxReportDataSpace()

  Maximum Report Data Memory (Organization catalogs) Allowed in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 500MB.

  Returns:

### getMaxCubeSpace

    int getMaxCubeSpace()

  Maximum Cube Memory (Organization catalogs) Allowed in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 500MB.

  Returns:

### isCompressSwapFiles

    boolean isCompressSwapFiles()

  Significantly reduce I/O time by increasing CPU usage. Default value is false.

  Returns:

### getPreloadCatalogsName

    java.util.List<java.lang.String> getPreloadCatalogsName()

  Get catalogs which to be preload on system boot.

  Returns:
    each element represent one catalog which has below pattern: [resource path]-V[version number].

### setPreloadCatalogsName

    void setPreloadCatalogsName(java.util.List<java.lang.String> cats)

  Set catalogs which to be preload on system boot.

  Parameters:
    `cats` - each element represent a catalog which has below pattern: [resource path]-V[version number].

### getPreloadReportsName

    java.util.List<java.lang.String> getPreloadReportsName()

  Get reports which to be preload on system boot.

  Returns:
    each element represent one report which has below pattern: [resource path]-V[version number].

### setPreloadReportsName

    void setPreloadReportsName(java.util.List<java.lang.String> rpts)

  Set reports which to be preload on system boot.

  Parameters:
    `rpts` - each element represent one report which has below pattern: [resource path]-V[version number].

### getMaxCachedCatalogSize

    int getMaxCachedCatalogSize()

  Maximum cached catalog number.

  Returns:

### getCachedCatalogs

    java.util.List<java.lang.String> getCachedCatalogs()

  Current cached catalogs

  Returns:
    each element represent one catalog which has below pattern: [resource path]-V[version number].

### setCachedCatalog

    void setCachedCatalog(java.lang.String user,
                          java.lang.String cat,
                          boolean isCache)

  load/unload one catalog into/from cache cache.

  Parameters:
    `user` - submitter
    `cat` - represent one catalog to be cached or unload which has below pattern: [resource path]-V[version number]
    `isCache` - if true will load this catalog into cache, otherwise will unload this catalog

### getMaxCachedReportSize

    int getMaxCachedReportSize()

  Maximum cached report number.

  Returns:

### getCachedReports

    java.util.List<java.lang.String> getCachedReports()

  Current cached reports

  Returns:
    each element represent one report which has below pattern: [resource path]-V[version number][(stylegroup)].

### setCachedReport

    void setCachedReport(java.lang.String user,
                         java.lang.String rpt,
                         boolean isCache)

  load/unload one report into/from cache cache.

  Parameters:
    `user` - submitter
    `rpt` - represent one report to be cached or unload which has below pattern: [resource path]-V[version number][(stylegroup)]
    `isCache` - if true will load this report into cache, otherwise will unload this report

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD